{
  "criteria": {
    "criteria": {
      "trigger": "minecraft:consume_item",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {}
          }
        ],
        "item": {
          "items": [
            "minecraft:honey_bottle"
          ],
          "components": {
            "minecraft:custom_data": {
              "chengs_blend:1b": {}
            }
          }
        }
      }
    }
  },
  "rewards": {
    "function": "projectswords:honey"
  }
}